// Top-level build file where you can add configuration options common to all sub-projects/modules.

buildscript {

    repositories {
        google()
        jcenter()
    }
    dependencies {
        classpath 'com.android.tools.build:gradle:3.5.3'

        // NOTE: Do not place your application dependencies here; they belong
        // in the individual module build.gradle files
    }
}

apply from: 'version.gradle'

allprojects {
    ext {
        rootConfigDir = new File(rootDir, 'config')
    }

    repositories {
        google()
        jcenter()
        mavenLocal()

        // Smack nightly unique snapshots repo
        //maven {
        //    url 'https://igniterealtime.org/repo/'
        // }
    }

    configurations {
        // Exclude XmlPullParser from Smack dependencies, as its now provided by Android
        // https://stackoverflow.com/questions/48488563/gradle-xpp3-error/48746294#48746294
        all {
            exclude group: 'xpp3', module: 'xpp3_min'
            exclude group: 'xpp3', module: 'xpp3'
        }
    }
}

task clean(type: Delete) {
    delete rootProject.buildDir
}
